Update Info
update the information of HTTP pull Zone
curl -X POST "https://api.5centscdn.com/v2/zones/http/pull/42" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"origin": "https://mydomain.com",
"optimize": "http",
"cnames": "docs.example.com"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/zones/http/pull/42"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"origin": "https://mydomain.com",
"optimize": "http",
"cnames": "docs.example.com"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/http/pull/42", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"origin": "https://mydomain.com",
"optimize": "http",
"cnames": "docs.example.com"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"origin": "https://mydomain.com",
"optimize": "http",
"cnames": "docs.example.com"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/zones/http/pull/42", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/http/pull/42')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"origin": "https://mydomain.com",
"optimize": "http",
"cnames": "docs.example.com"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Zone updated successfully",
"zone": {
"type": "pull",
"id": 12345,
"serviceid": 67890,
"mode": "http",
"cnames": "",
"edgeruleids": 0,
"deleted": null,
"name": "my-cdn-zone",
"hashid": "abc123def456",
"fqdn": "cdn.example.com",
"edgerules": {
"enabled": "N"
},
"domainlock": {
"policy": "N",
"list": "example.com,cdn.example.com",
"ips": "203.0.113.10",
"noreferer": "N",
"type": "push",
"enabled": "N",
"active": "N"
},
"geoblock": {
"policy": "N",
"list": [
"US",
"GB"
],
"ips": "203.0.113.10",
"enabled": "N",
"active": "N"
},
"securetoken": {
"policy": "F",
"keyip": "N",
"list": "ab12cd34ef56gh78",
"timeout": 3600,
"session": "0",
"ips": "",
"dirs": "",
"enabled": "N",
"active": "N"
},
"eac": {
"policy": "N",
"list": "http://example.com/auth.script",
"ips": "203.0.113.10",
"enabled": "N",
"active": "N"
},
"ssl": {
"http": "N",
"http2": "Y",
"redirect": "Y",
"mode": "S",
"certid": null,
"zerossl": null,
"enabled": "Y",
"warning": false
},
"cache": {
"smart": "0",
"cache": "4h",
"expiry": "1M",
"querystring": "N",
"cachecontrol": "Y",
"usestale": "Y",
"revalidate": "Y",
"cacheInSecs": 14400,
"cacheInMins": 240,
"expiryInSecs": 2592000,
"expiryInMins": 43200
},
"edge": {
"compression": "N",
"compressionlevel": 5,
"disposition": "N",
"stripcookie": "N",
"xff": "N",
"cors": "Y",
"webp": "N",
"pseudostreaming": "N",
"wp": "N",
"lfo": "Y",
"prefresh": "N"
},
"shield": {
"shields": [
"CA",
"FR"
]
},
"waf": {
"enabled": "N"
},
"seo": {
"id": 12345,
"type": "pull",
"canonical": "N",
"mode": "default",
"robots": "N",
"robotstxt": "N",
"robotstxtcustom": ""
},
"ftpdetails": {
"username": "user_67890_push_12345",
"password": "••••••••"
},
"ssl_enabled": "Y"
},
"warnings": []
}
/zones/http/pull/{zoneid}Target server for requests. Edit to use your own host.
API key (sent in header)
Zone ID
The media type of the request body
Your Origin Server Host Name
Content delivery optimization mode. http = Standard web content optimization. live = HLS/DASH live streaming optimization. vod = HLS/DASH Video on Demand optimization.
Name that points to actual record. Eg: docs.example.com
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Body
Content delivery optimization mode. http = Standard web content optimization. live = HLS/DASH live streaming optimization. vod = HLS/DASH Video on Demand optimization.
httplivevodResponses
Status of the API response.
Human-readable status message describing the outcome.
Array of non-fatal warning messages from the operation.